-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 22/12/2008
-- Description:	Per gestione richieste di reinvio PDF da parte di utenti HD o US
-- =============================================
--[C6MartPeriodico].[GESTIONE_INSERT_PDF_FTP_RISTAMPA]1055,1081
CREATE procedure [C6MartPeriodico].[GESTIONE_INSERT_PDF_FTP_RISTAMPA]
	@Id INT,
	@IdNuovo INT
AS
BEGIN
	DECLARE @ID_ELAB INT
	SET @ID_ELAB = C6MartPeriodico.GETIDELAB()
	INSERT INTO C6MartPeriodico.GESTIONE_PDF_FTP
		(
			Rete,
			CodiceFiscale,
			IDReport,
			DataGenerazione,
			DataInvio,
			FlagInvio,
			NomeFile,
			TipoReport,
			numeroPagine,
			RFA,
			id_Fk_zip,
			ID_ELAB
		)
	SELECT 
			Rete,
			CodiceFiscale,
			@IdNuovo,
			Getdate(),
			null,
			'N',
			NomeFile,
			'LR',
			numeroPagine + 1,
			RFA,
			-1,
			@ID_ELAB
	FROM C6MartPeriodico.GESTIONE_PDF_FTP
	WHERE IdReport = @Id
	RETURN @@ROWCOUNT
END